<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>angular-frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">angular-frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li >NgxAuthModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 5.0.0 (20220707.1540)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="1042pt" height="174pt"
 viewBox="0.00 0.00 1042.00 173.80" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 169.8)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-169.8 1038,-169.8 1038,4 -4,4"/>
<text text-anchor="middle" x="517" y="-8.2" font-family="sans-serif" font-size="14.00">dependencies</text>
<g id="clust1" class="cluster">
<title>cluster_NgxAuthModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-32.8 8,-157.8 1026,-157.8 1026,-32.8 8,-32.8"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_NgxAuthModule_declarations</title>
<polygon fill="none" stroke="black" points="196,-40.8 196,-92.8 1018,-92.8 1018,-40.8 196,-40.8"/>
</g>
<g id="clust8" class="cluster">
<title>cluster_NgxAuthModule_imports</title>
<polygon fill="none" stroke="black" points="16,-40.8 16,-92.8 188,-92.8 188,-40.8 16,-40.8"/>
</g>
<!-- LogoutComponent -->
<g id="node1" class="node">
<title>LogoutComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1009.77,-84.8 888.23,-84.8 888.23,-48.8 1009.77,-48.8 1009.77,-84.8"/>
<text text-anchor="middle" x="949" y="-62.6" font-family="Times,serif" font-size="14.00">LogoutComponent</text>
</g>
<!-- NgxAuthModule -->
<g id="node6" class="node">
<title>NgxAuthModule</title>
<polygon fill="#8dd3c7" stroke="black" points="619.66,-149.8 616.66,-153.8 595.66,-153.8 592.66,-149.8 508.34,-149.8 508.34,-113.8 619.66,-113.8 619.66,-149.8"/>
<text text-anchor="middle" x="564" y="-127.6" font-family="Times,serif" font-size="14.00">NgxAuthModule</text>
</g>
<!-- LogoutComponent&#45;&gt;NgxAuthModule -->
<g id="edge1" class="edge">
<title>LogoutComponent&#45;&gt;NgxAuthModule</title>
<path fill="none" stroke="black" d="M949,-85.08C949,-106.12 949,-137.8 949,-137.8 949,-137.8 629.98,-137.8 629.98,-137.8"/>
<polygon fill="black" stroke="black" points="629.98,-134.3 619.98,-137.8 629.98,-141.3 629.98,-134.3"/>
</g>
<!-- NgxLoginComponent -->
<g id="node2" class="node">
<title>NgxLoginComponent</title>
<polygon fill="#ffffb3" stroke="black" points="870.38,-84.8 731.62,-84.8 731.62,-48.8 870.38,-48.8 870.38,-84.8"/>
<text text-anchor="middle" x="801" y="-62.6" font-family="Times,serif" font-size="14.00">NgxLoginComponent</text>
</g>
<!-- NgxLoginComponent&#45;&gt;NgxAuthModule -->
<g id="edge2" class="edge">
<title>NgxLoginComponent&#45;&gt;NgxAuthModule</title>
<path fill="none" stroke="black" d="M801,-84.82C801,-102.17 801,-125.8 801,-125.8 801,-125.8 629.87,-125.8 629.87,-125.8"/>
<polygon fill="black" stroke="black" points="629.87,-122.3 619.87,-125.8 629.87,-129.3 629.87,-122.3"/>
</g>
<!-- RegisterComponent -->
<g id="node3" class="node">
<title>RegisterComponent</title>
<polygon fill="#ffffb3" stroke="black" points="713.99,-84.8 586.01,-84.8 586.01,-48.8 713.99,-48.8 713.99,-84.8"/>
<text text-anchor="middle" x="650" y="-62.6" font-family="Times,serif" font-size="14.00">RegisterComponent</text>
</g>
<!-- RegisterComponent&#45;&gt;NgxAuthModule -->
<g id="edge3" class="edge">
<title>RegisterComponent&#45;&gt;NgxAuthModule</title>
<path fill="none" stroke="black" d="M602.92,-84.91C602.92,-84.91 602.92,-103.79 602.92,-103.79"/>
<polygon fill="black" stroke="black" points="599.42,-103.79 602.92,-113.79 606.42,-103.79 599.42,-103.79"/>
</g>
<!-- RequestPasswordComponent -->
<g id="node4" class="node">
<title>RequestPasswordComponent</title>
<polygon fill="#ffffb3" stroke="black" points="568.1,-84.8 387.9,-84.8 387.9,-48.8 568.1,-48.8 568.1,-84.8"/>
<text text-anchor="middle" x="478" y="-62.6" font-family="Times,serif" font-size="14.00">RequestPasswordComponent</text>
</g>
<!-- RequestPasswordComponent&#45;&gt;NgxAuthModule -->
<g id="edge4" class="edge">
<title>RequestPasswordComponent&#45;&gt;NgxAuthModule</title>
<path fill="none" stroke="black" d="M538.11,-84.91C538.11,-84.91 538.11,-103.79 538.11,-103.79"/>
<polygon fill="black" stroke="black" points="534.61,-103.79 538.11,-113.79 541.61,-103.79 534.61,-103.79"/>
</g>
<!-- ResetPasswordComponent -->
<g id="node5" class="node">
<title>ResetPasswordComponent</title>
<polygon fill="#ffffb3" stroke="black" points="370.1,-84.8 203.9,-84.8 203.9,-48.8 370.1,-48.8 370.1,-84.8"/>
<text text-anchor="middle" x="287" y="-62.6" font-family="Times,serif" font-size="14.00">ResetPasswordComponent</text>
</g>
<!-- ResetPasswordComponent&#45;&gt;NgxAuthModule -->
<g id="edge5" class="edge">
<title>ResetPasswordComponent&#45;&gt;NgxAuthModule</title>
<path fill="none" stroke="black" d="M287,-84.82C287,-102.17 287,-125.8 287,-125.8 287,-125.8 498.28,-125.8 498.28,-125.8"/>
<polygon fill="black" stroke="black" points="498.28,-129.3 508.28,-125.8 498.28,-122.3 498.28,-129.3"/>
</g>
<!-- NgxAuthRoutingModule -->
<g id="node7" class="node">
<title>NgxAuthRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="180.28,-84.8 177.28,-88.8 156.28,-88.8 153.28,-84.8 23.72,-84.8 23.72,-48.8 180.28,-48.8 180.28,-84.8"/>
<text text-anchor="middle" x="102" y="-62.6" font-family="Times,serif" font-size="14.00">NgxAuthRoutingModule</text>
</g>
<!-- NgxAuthRoutingModule&#45;&gt;NgxAuthModule -->
<g id="edge6" class="edge">
<title>NgxAuthRoutingModule&#45;&gt;NgxAuthModule</title>
<path fill="none" stroke="black" d="M102,-85.08C102,-106.12 102,-137.8 102,-137.8 102,-137.8 498.27,-137.8 498.27,-137.8"/>
<polygon fill="black" stroke="black" points="498.27,-141.3 508.27,-137.8 498.27,-134.3 498.27,-141.3"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group size-buttons">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>projects/projects-app-ang/src/app/components/auth/auth.module.ts</code>
        </p>





        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/LogoutComponent.html">LogoutComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/NgxLoginComponent.html">NgxLoginComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/RegisterComponent.html">RegisterComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/RequestPasswordComponent.html">RequestPasswordComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ResetPasswordComponent.html">ResetPasswordComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/NgxAuthRoutingModule.html">NgxAuthRoutingModule</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { CommonModule } from &#x27;@angular/common&#x27;;
import { NgModule } from &#x27;@angular/core&#x27;;
import { FormsModule } from &#x27;@angular/forms&#x27;;
import { RouterModule } from &#x27;@angular/router&#x27;;

import { NgxAuthRoutingModule } from &#x27;./auth-routing.module&#x27;;
import { NbAuthModule } from &#x27;@nebular/auth&#x27;;
import { 
  NbAlertModule,
  NbButtonModule,
  NbCheckboxModule,
  NbInputModule
} from &#x27;@nebular/theme&#x27;;

import { NgxLoginComponent } from &#x27;./login/login.component&#x27;; // &lt;---
import { NbLoginComponent } from &#x27;@nebular/auth&#x27;;
import { LogoutComponent } from &#x27;./logout/logout.component&#x27;;
import { RegisterComponent } from &#x27;./register/register.component&#x27;;
import { RequestPasswordComponent } from &#x27;./request-password/request-password.component&#x27;;
import { ResetPasswordComponent } from &#x27;./reset-password/reset-password.component&#x27;;



@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    RouterModule,
    NbAlertModule,
    NbInputModule,
    NbButtonModule,
    NbCheckboxModule,
    NgxAuthRoutingModule,
    
    NbAuthModule,
    //NgxLoginComponent,
    //NgModule
  ],
  declarations: [
    NgxLoginComponent,
    LogoutComponent,
    RegisterComponent,
    RequestPasswordComponent,
    ResetPasswordComponent,
    // ... here goes our new components
  
  ],
})
export class NgxAuthModule {
}
</code></pre>
    </div>
</div>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'NgxAuthModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
